// components/verifyspin/verifyspin.js
Component({

    /**
     * Component properties
     */
    properties: {

    },

    /**
     * Component initial data
     */
    data: {
      stage: 0,
    },

    /**
     * Component methods
     */
    methods: {
      begin() {
        setTimeout(() => {
          this.next()
        }, 3000);
      },
      next() {
        this.setData({
          stage: this.stage + 1,
        });
      },
    },

    lifetimes: {
        attached() {
          this.begin();
        }
    },
})
